Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::BoundSlot4_5< R, P1, P2, P3, P4, P5 > Class Template Reference

Converts a slot taking five arguments into a slot taking four arguments. More...

`#include <inti/bind.h>`

Inheritance diagram for Inti::BoundSlot4_5< R, P1, P2, P3, P4, P5 >:

List of all members.

## Public Member Functions

- BoundSlot4_5 (Slot5< R, P1, P2, P3, P4, P5 > *slot, P5 p5)
    Constructor.
- virtual ~BoundSlot4_5 ()
    Destructor.
- virtual R call (P1 p1, P2 p2, P3 p3, P4 p4) const
    Calls the original slot passing it arguments p1, p2, p3 and p4, and the bound argument p as the last parameter.

## Detailed Description

### template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
class Inti::BoundSlot4_5< R, P1, P2, P3, P4, P5 >

Converts a slot taking five arguments into a slot taking four arguments.

## Constructor & Destructor Documentation

template<typename R, typename P1, typename P2, typename P3, typename P4, typename P5>
Inti::BoundSlot4_5< R, P1, P2, P3, P4, P5 >::BoundSlot4_5 | ( | Slot5< R, P1, P2, P3, P4, P5 > * | slot,
|  | P5 | p5
| ) | `[inline]`

  | Constructor. Parameters:
  slot | A pointer to a slot of type Slot1<R, P1, P2, P3, P4, P5>.
  p5 | A bound argument of type P5

The documentation for this class was generated from the following file:

- bind.h

Main Page - Footer